package fetch

import (
	"bufio"
	"errors"
	"os"
	"strings"
)

const (
	releaseFilePath = "/etc/os-release"
	linePrefix      = "PRETTY_NAME="
)

func Os() (string, error) {
	file, err := os.OpenFile(releaseFilePath, os.O_RDONLY, 0644)
	if err != nil {
		return "", err
	}

	defer file.Close()

	scanner := bufio.NewScanner(file)
	for scanner.Scan() {
		line := scanner.Text()

		if strings.HasPrefix(line, linePrefix) {
			line = strings.TrimPrefix(line, linePrefix)
			return strings.Trim(line, "\""), nil
		}
	}

	return "", errors.New("PRETTY_NAME not found")
}
